Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518824 - Not able to switch view selector on generic object page
Summary: Not able to switch view selector on generic object page
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Aparna Karve
QA Contact: Dave Johnson
URL:
Whiteboard: ui:generic_object
Depends On:
Blocks: 1520503
TreeView+ depends on / blocked
 
Reported: 2017-11-29 15:45 UTC by Anurag
Modified: 2018-06-21 20:36 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1520503 (view as bug list)
Environment:
Last Closed: 2018-06-21 20:36:46 UTC
Category: Bug
Cloudforms Team: CFME Core
ansinha: automate_bug-


Attachments (Terms of Use)

Description Anurag 2017-11-29 15:45:48 UTC
Description of problem:
View selector is not working properly on generic object page.
Please follow this video for steps to reproduce this issue: https://goo.gl/7v22Yj


Version-Release number of selected component (if applicable):
Version 5.9.0.11.20171127204214_e316988 


How reproducible:
100%


Steps to Reproduce:
1.Automation-->Automate-->Generic Objects
2.Click on Configuration-->Add a new Generic Object Class
3.Create a generic object class (eg: name: "test")
4.Select the generic object name (test) from the accordion
5.Now select "All Generic object Classes"
6.Try to select any other view apart from the default view


Actual results:
The view should change

Expected results:
View doesn't change and also two views are selected on view selector.


Additional info:
Also when we click on the generic object class quadicon and go on Generic object class detail page the view selector is visible.(It should not be visible)

Comment 2 CFME Bot 2017-12-02 05:23:55 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/a41ac7245656d62cfebcbb70a31a1b6d34873a9a

commit a41ac7245656d62cfebcbb70a31a1b6d34873a9a
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Fri Dec 1 12:15:35 2017 -0800
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Fri Dec 1 13:16:03 2017 -0800

    Render the correct toolbar for `show_list`
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1518824

 app/controllers/generic_object_definition_controller.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)


Note You need to log in before you can comment on or make changes to this bug.